#!/usr/bin/env bash

setup_file(){
  load "$PWD/tests/integration/helpers/common"
  _common_setup
  _add_server
  _new_app
}

teardown_file(){
  _rm_app
  _rm_server
}

setup(){
  load "$PWD/tests/integration/helpers/common"
  _common_setup
}

@test "validate app argument" {
  run $ABRA app ps
  assert_failure
  assert_output --partial 'no app provided'

  run $ABRA app ps DOESNTEXIST
  assert_failure
  assert_output --partial 'cannot find app'
}

@test "error if not deployed" {
  run $ABRA app ps "$TEST_APP_DOMAIN"
  assert_failure
  assert_output --partial 'is not deployed'
}

# bats test_tags=slow
@test "show ps report" {
  _deploy_app

  run $ABRA app ps "$TEST_APP_DOMAIN"
  assert_success
  assert_output --partial 'app'
  assert_output --partial 'healthy'

  _undeploy_app
}
